var przystprzesiadka="";

function podmien(a,b){
	document.write("<font style=\"color:"+kolor[b]+"\">"+a+"</font>");
}

function preload(a){
	c=new Image;
	c.src=a;
}

function idz(targ,selObj,restore){ 
	var t=new String(selObj.options[selObj.selectedIndex].value);
	//zmiana linku z przesiadkami
	for(i=0;i<przy.length;i++)
	{
  		if(przy[i][0]==t)
 			if(przy[i][2]!='')
			{
  				MM_swapImgRestore();			
				przystprzesiadka="p/"+przy[i][2]+".htm";
			}
  			else
  			{
	  			przystprzesiadka='';
				MM_swapImage('przesiadki','','images/przesiadki1.gif',1);
  			}
  	}
	if (restore) selObj.selectedIndex=0;
	parametry=pobparam(document.location.search);
  	if(t!='')
		eval(targ+".location='"+parametry['l']+"/"+t+".htm'");
  
}

function przesiadka(){
  if(przystprzesiadka==''){
		alert("Na tym przystanku nie ma przesiadek");
		return false;
	}
  else
	window.parent.location.href=przystprzesiadka;
  return true;
}

function pobparam(a){
	ble=new String(a);
	ble=ble.substr(1,ble.length-1);
	k=ble.split("&");

	parametry=new Array(k.length);
	for(i=0;i<k.length;i++)
	{
		var f=new String(k[i]);
		temp=f.split("=");
		eval("parametry['"+temp[0]+"']=\""+temp[1]+"\";");
	}
	return parametry;

}

function upldane(a){
	if(a!='')
	{
		parametry=pobparam(a);
// test
//		as=""
//		for( i in parametry)
//		{
//			as+=parametry[i]+" ";
//		}
//		alert(as);
// test - koniec		
		document.nawigacja.ulice.length=0;
		document.nawigacja.przyst.length=0;
	
		for(i=0;i<ulice.length;i++)
		{
			document.nawigacja.ulice.length=i+1;
			if(document.nawigacja.ulice[i].style)
				if(ulice[i][1]!='')
					document.nawigacja.ulice[i].style.color=kolor[ulice[i][1]];
				else
					document.nawigacja.ulice[i].style.color='#000000';
			document.nawigacja.ulice[i].text=ulice[i][0];
			if(i==0)
				document.nawigacja.ulice[i].value='';
			else
				document.nawigacja.ulice[i].value=i;
		}
	
		for(i=0;i<przy.length;i++)
		{
			document.nawigacja.przyst.length=i+1;
			if(document.nawigacja.przyst[i].style)
				if(przy[i][4]!='')
					document.nawigacja.przyst[document.nawigacja.przyst.length-1].style.color=kolor[przy[i][4]];
				else
					document.nawigacja.przyst[document.nawigacja.przyst.length-1].style.color='#000000';
			document.nawigacja.przyst[document.nawigacja.przyst.length-1].text=przy[i][1];
			document.nawigacja.przyst[document.nawigacja.przyst.length-1].value=przy[i][0];
		}
		
		for(i=0;i<przy.length;i++)
  		{
  			if(przy[i][0]==parametry['p'])
  				if(przy[i][2]!='')
					przystprzesiadka="p/"+przy[i][2]+".htm";
  				else
				{
  				     przystprzesiadka='';
					 MM_swapImage('przesiadki','','images/przesiadki1.gif',1);
				}
  		}
	}
			
	
}

function updatep(w){
	document.nawigacja.przyst.length=0;
	for(i=0;i<przy.length;i++)
	{
		if((przy[i][3]==w)||(w==''))
		{
			document.nawigacja.przyst.length=document.nawigacja.przyst.length+1;
			if(document.nawigacja.przyst[document.nawigacja.przyst.length-1].style)
				if(przy[i][4]!='')
					document.nawigacja.przyst[document.nawigacja.przyst.length-1].style.color=kolor[przy[i][4]];
				else
					document.nawigacja.przyst[document.nawigacja.przyst.length-1].style.color='#000000';
			document.nawigacja.przyst[document.nawigacja.przyst.length-1].text=przy[i][1];
			document.nawigacja.przyst[document.nawigacja.przyst.length-1].value=przy[i][0];
		}
	}
}

function MM_findObj(n, d) { //v3.0
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document); return x;
}
function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function pisz(){
p=pobparam(document.location.search);
if((0<p.length)&&(p['r']))
	document.all.warstwa.innerText=unescape(p['r']);
else
	document.all.warstwa.innerText=oldr;
}